2 Replies Latest reply: Feb 4, 2014 6:25 AM by Limnos
lanaB43 Level 1 Level 1 (0 points)

I need to update itunes to the latest version so I can sync my ipad mini. However, itunes says I need to update my operating system. I have version 10.5.8 and the system keeps telling me that it is up to date.  What can I do to fix this?


Mac Pro, Mac OS X (10.5.8)